Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -16523,246 +30247,328 @@
   Tag Name                                      Writable
   --------                                      --------
-  ExtendedStreamProps                           N
-  AdvancedContentEncryption                     N
-  MetadataLibrary                               ASF Metadata
-  TimecodeIndexParms                            N
-  Compatibility                                 N
-  LanguageList                                  N
-  AdvancedMutualExcl                            N
-  BandwidthSharing                              N
-  Reserved1                                     N
-  Metadata                                      ASF Metadata
-  GroupMutualExclusion                          N
-  StreamPrioritization                          N
-  IndexParameters                               N
-
-=head3 ASF Metadata Tags
+  ExtendedStreamProps                           no
+  AdvancedContentEncryption                     no
+  MetadataLibrary                               ASF ExtendedDescr
+  TimecodeIndexParms                            no
+  Compatibility                                 no
+  LanguageList                                  no
+  AdvancedMutualExcl                            no
+  BandwidthSharing                              no
+  Reserved1                                     no
+  Metadata                                      ASF ExtendedDescr
+  GroupMutualExclusion                          no
+  StreamPrioritization                          no
+  IndexParameters                               no
+
+=head3 ASF ExtendedDescr Tags
 
   Tag Name                                      Writable
   --------                                      --------
-  [no tags known]
-
-=head3 ASF ContentDescr Tags
+  ASFLeakyBucketPairs                           no
+  ASFPacketCount                                no
+  ASFSecurityObjectsSize                        no
+  AlbumArtist                                   no
+  AlbumCoverURL                                 no
+  AlbumTitle                                    no
+  AspectRatioX                                  no
+  AspectRatioY                                  no
+  AudioFileURL                                  no
+  AudioSourceURL                                no
+  Author                                        no
+  AuthorURL                                     no
+  AverageLevel                                  no
+  BannerImageData                               no
+  BannerImageType                               no
+  BannerImageURL                                no
+  BeatsPerMinute                                no
+  Bitrate                                       no
+  Broadcast                                     no
+  BufferAverage                                 no
+  Can_Skip_Backward                             no
+  Can_Skip_Forward                              no
+  Category                                      no
+  Codec                                         no
+  Composer                                      no
+  Conductor                                     no
+  ContainerFormat                               no
+  ContentDistributor                            no
+  ContentGroupDescription                       no
+  Copyright                                     no
+  CopyrightURL                                  no
+  CurrentBitrate                                no
+  DRM                                           no
+  DRM_ContentID                                 no
+  DRM_DRMHeader                                 no
+  DRM_DRMHeader_ContentDistributor              no
+  DRM_DRMHeader_ContentID                       no
+  DRM_DRMHeader_IndividualizedVersion           no
+  DRM_DRMHeader_KeyID                           no
+  DRM_DRMHeader_LicenseAcqURL                   no
+  DRM_DRMHeader_SubscriptionContentID           no
+  DRM_IndividualizedVersion                     no
+  DRM_KeyID                                     no
+  DRM_LASignatureCert                           no
+  DRM_LASignatureLicSrvCert                     no
+  DRM_LASignaturePrivKey                        no
+  DRM_LASignatureRootCert                       no
+  DRM_LicenseAcqURL                             no
+  DRM_V1LicenseAcqURL                           no
+  DVDID                                         no
+  Description                                   no
+  Director                                      no
+  Duration                                      no
+  EncodedBy                                     no
+  EncodingSettings                              no
+  EncodingTime                                  no
+  FileSize                                      no
+  Genre                                         no
+  GenreID                                       no
+  HasArbitraryDataStream                        no
+  HasAttachedImages                             no
+  HasAudio                                      no
+  HasFileTransferStream                         no
+  HasImage                                      no
+  HasScript                                     no
+  HasVideo                                      no
+  ISRC                                          no
+  InitialKey                                    no
+  IsVBR                                         no
+  Is_Protected                                  no
+  Is_Trusted                                    no
+  Language                                      no
+  Lyrics                                        no
+  Lyrics_Synchronised                           no
+  MCDI                                          no
+  MediaClassPrimaryID                           no
+  MediaClassSecondaryID                         no
+  MediaCredits                                  no
+  MediaIsDelay                                  no
+  MediaIsFinale                                 no
+  MediaIsLive                                   no
+  MediaIsPremiere                               no
+  MediaIsRepeat                                 no
+  MediaIsSAP                                    no
+  MediaIsStereo                                 no
+  MediaIsSubtitled                              no
+  MediaIsTape                                   no
+  MediaNetworkAffiliation                       no
+  MediaOriginalBroadcastDateTime                no
+  MediaOriginalChannel                          no
+  MediaStationCallSign                          no
+  MediaStationName                              no
+  ModifiedBy                                    no
+  Mood                                          no
+  NSC_Address                                   no
+  NSC_Description                               no
+  NSC_Email                                     no
+  NSC_Name                                      no
+  NSC_Phone                                     no
+  NumberOfFrames                                no
+  OptimalBitrate                                no
+  OriginalAlbumTitle                            no
+  OriginalArtist                                no
+  OriginalFileName                              no
+  OriginalLyricist                              no
+  OriginalReleaseTime                           no
+  OriginalReleaseYear                           no
+  ParentalRating                                no
+  ParentalRatingReason                          no
+  PartOfSet                                     no
+  PeakBitrate                                   no
+  PeakValue                                     no
+  Period                                        no
+  Picture                                       ASF Picture
+  PlaylistDelay                                 no
+  Producer                                      no
+  PromotionURL                                  no
+  ProtectionType                                no
+  Provider                                      no
+  ProviderCopyright                             no
+  ProviderRating                                no
+  ProviderStyle                                 no
+  Publisher                                     no
+  RadioStationName                              no
+  RadioStationOwner                             no
+  Rating                                        no
+  Seekable                                      no
+  SharedUserRating                              no
+  Signature_Name                                no
+  StreamTypeInfo                                no
+  Stridable                                     no
+  Subtitle                                      no
+  SubtitleDescription                           no
+  SubscriptionContentID                         no
+  Text                                          no
+  Title                                         no
+  ToolName                                      no
+  ToolVersion                                   no
+  Track                                         no
+  TrackNumber                                   no
+  UniqueFileIdentifier                          no
+  UserWebURL                                    no
+  VBRPeak                                       no
+  VideoClosedCaptioning                         no
+  VideoFrameRate                                no
+  VideoHeight                                   no
+  VideoWidth                                    no
+  WMADRCAverageReference                        no
+  WMADRCAverageTarget                           no
+  WMADRCPeakReference                           no
+  WMADRCPeakTarget                              no
+  WMCollectionGroupID                           no
+  WMCollectionID                                no
+  WMContentID                                   no
+  Writer                                        no
+  Year                                          no
+
+=head3 ASF Picture Tags
 
   Tag Name                                      Writable
   --------                                      --------
-  Title                                         N
-  Author                                        N
-  Copyright                                     N
-  Description                                   N
-  Rating                                        N
-
-=head3 ASF CodecList Tags
+  PictureType                                   no
+  PictureMIMEType                               no
+  PictureDescription                            no
+  Picture                                       no
+
+=head3 ASF ContentDescr Tags
 
   Tag Name                                      Writable
   --------                                      --------
-  AudioCodecDescription                         N
-  AudioCodecName                                N
-  OtherCodecDescription                         N
-  OtherCodecName                                N
-  VideoCodecDescription                         N
-  VideoCodecName                                N
-
-=head3 ASF FileProperties Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FileID                               N
-     16    FileLength                           N
-     24    CreationDate                         N
-     32    DataPackets                          N
-     40    PlayDuration                         N
-     48    SendDuration                         N
-     56    Preroll                              N
-     64    Flags                                N
-     68    MinPacketSize                        N
-     72    MaxPacketSize                        N
-     76    MaxBitrate                           N
-
-=head3 ASF StreamProperties Tags
-
-Tags with index 54 and greater are conditional based on the StreamType.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    StreamType                           N
-     16    ErrorCorrectionType                  N
-     32    TimeOffset                           N
-     48    StreamNumber                         N
-     54    AudioCodecID                         N
-           ImageWidth                           N
-     56    AudioChannels                        N
-     58    AudioSampleRate                      N
-           ImageHeight                          N
-
-=head3 ASF ExtendedDescr Tags
+  Title                                         no
+  Author                                        no
+  Copyright                                     no
+  Description                                   no
+  Rating                                        no
+
+=head3 ASF CodecList Tags
 
   Tag Name                                      Writable
   --------                                      --------
-  ASFLeakyBucketPairs                           N
-  ASFPacketCount                                N
-  ASFSecurityObjectsSize                        N
-  AlbumArtist                                   N
-  AlbumCoverURL                                 N
-  AlbumTitle                                    N
-  AspectRatioX                                  N
-  AspectRatioY                                  N
-  AudioFileURL                                  N
-  AudioSourceURL                                N
-  Author                                        N
-  AuthorURL                                     N
-  AverageLevel                                  N
-  BannerImageData                               N
-  BannerImageType                               N
-  BannerImageURL                                N
-  BeatsPerMinute                                N
-  Bitrate                                       N
-  Broadcast                                     N
-  BufferAverage                                 N
-  Can_Skip_Backward                             N
-  Can_Skip_Forward                              N
-  Category                                      N
-  Codec                                         N
-  Composer                                      N
-  Conductor                                     N
-  ContainerFormat                               N
-  ContentDistributor                            N
-  ContentGroupDescription                       N
-  Copyright                                     N
-  CopyrightURL                                  N
-  CurrentBitrate                                N
-  DRM                                           N
-  DRM_ContentID                                 N
-  DRM_DRMHeader                                 N
-  DRM_DRMHeader_ContentDistributor              N
-  DRM_DRMHeader_ContentID                       N
-  DRM_DRMHeader_IndividualizedVersion           N
-  DRM_DRMHeader_KeyID                           N
-  DRM_DRMHeader_LicenseAcqURL                   N
-  DRM_DRMHeader_SubscriptionContentID           N
-  DRM_IndividualizedVersion                     N
-  DRM_KeyID                                     N
-  DRM_LASignatureCert                           N
-  DRM_LASignatureLicSrvCert                     N
-  DRM_LASignaturePrivKey                        N
-  DRM_LASignatureRootCert                       N
-  DRM_LicenseAcqURL                             N
-  DRM_V1LicenseAcqURL                           N
-  DVDID                                         N
-  Description                                   N
-  Director                                      N
-  Duration                                      N
-  EncodedBy                                     N
-  EncodingSettings                              N
-  EncodingTime                                  N
-  FileSize                                      N
-  Genre                                         N
-  GenreID                                       N
-  HasArbitraryDataStream                        N
-  HasAttachedImages                             N
-  HasAudio                                      N
-  HasFileTransferStream                         N
-  HasImage                                      N
-  HasScript                                     N
-  HasVideo                                      N
-  ISRC                                          N
-  InitialKey                                    N
-  IsVBR                                         N
-  Is_Protected                                  N
-  Is_Trusted                                    N
-  Language                                      N
-  Lyrics                                        N
-  Lyrics_Synchronised                           N
-  MCDI                                          N
-  MediaClassPrimaryID                           N
-  MediaClassSecondaryID                         N
-  MediaCredits                                  N
-  MediaIsDelay                                  N
-  MediaIsFinale                                 N
-  MediaIsLive                                   N
-  MediaIsPremiere                               N
-  MediaIsRepeat                                 N
-  MediaIsSAP                                    N
-  MediaIsStereo                                 N
-  MediaIsSubtitled                              N
-  MediaIsTape                                   N
-  MediaNetworkAffiliation                       N
-  MediaOriginalBroadcastDateTime                N
-  MediaOriginalChannel                          N
-  MediaStationCallSign                          N
-  MediaStationName                              N
-  ModifiedBy                                    N
-  Mood                                          N
-  NSC_Address                                   N
-  NSC_Description                               N
-  NSC_Email                                     N
-  NSC_Name                                      N
-  NSC_Phone                                     N
-  NumberOfFrames                                N
-  OptimalBitrate                                N
-  OriginalAlbumTitle                            N
-  OriginalArtist                                N
-  OriginalFilename                              N
-  OriginalLyricist                              N
-  OriginalReleaseTime                           N
-  OriginalReleaseYear                           N
-  ParentalRating                                N
-  ParentalRatingReason                          N
-  PartOfSet                                     N
-  PeakBitrate                                   N
-  PeakValue                                     N
-  Period                                        N
-  Picture                                       ASF Picture
-  PlaylistDelay                                 N
-  Producer                                      N
-  PromotionURL                                  N
-  ProtectionType                                N
-  Provider                                      N
-  ProviderCopyright                             N
-  ProviderRating                                N
-  ProviderStyle                                 N
-  Publisher                                     N
-  RadioStationName                              N
-  RadioStationOwner                             N
-  Rating                                        N
-  Seekable                                      N
-  SharedUserRating                              N
-  Signature_Name                                N
-  StreamTypeInfo                                N
-  Stridable                                     N
-  SubTitle                                      N
-  SubTitleDescription                           N
-  SubscriptionContentID                         N
-  Text                                          N
-  Title                                         N
-  ToolName                                      N
-  ToolVersion                                   N
-  Track                                         N
-  TrackNumber                                   N
-  UniqueFileIdentifier                          N
-  UserWebURL                                    N
-  VBRPeak                                       N
-  VideoClosedCaptioning                         N
-  VideoFrameRate                                N
-  VideoHeight                                   N
-  VideoWidth                                    N
-  WMADRCAverageReference                        N
-  WMADRCAverageTarget                           N
-  WMADRCPeakReference                           N
-  WMADRCPeakTarget                              N
-  WMCollectionGroupID                           N
-  WMCollectionID                                N
-  WMContentID                                   N
-  Writer                                        N
-  Year                                          N
-
-=head3 ASF Picture Tags
+  AudioCodecDescription                         no
+  AudioCodecName                                no
+  OtherCodecDescription                         no
+  OtherCodecName                                no
+  VideoCodecDescription                         no
+  VideoCodecName                                no
+
+=head3 ASF FileProperties Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FileID                               no
+     16    FileLength                           no
+     24    CreationDate                         no
+     32    DataPackets                          no
+     40    Duration                             no
+     48    SendDuration                         no
+     56    Preroll                              no
+     64    Flags                                no
+     68    MinPacketSize                        no
+     72    MaxPacketSize                        no
+     76    MaxBitrate                           no
+
+=head3 ASF StreamProperties Tags
+
+Tags with index 54 and greater are conditional based on the StreamType.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    StreamType                           no
+     16    ErrorCorrectionType                  no
+     32    TimeOffset                           no
+     48    StreamNumber                         no
+     54    AudioCodecID                         no
+           ImageWidth                           no
+     56    AudioChannels                        no
+     58    AudioSampleRate                      no
+           ImageHeight                          no
+
+=head2 WTV Tags
+
+Tags found in Windows recorded TV (WTV) videos.
+
+  Tag ID                          Tag Name      Writable
+  ------                          --------      --------
+  'table.0.entries.legacy_attrib' Metdata       WTV Metadata
+
+=head3 WTV Metadata Tags
+
+ExifTool will extract any tag found, even if not in this table.
 
   Tag Name                                      Writable
   --------                                      --------
-  PictureType                                   N
-  PictureMimeType                               N
-  PictureDescription                            N
-  Picture                                       N
+  ATSCContent                                   no
+  ActualSoftPostPadding                         no
+  ActualSoftPrePadding                          no
+  Bitrate?                                      no
+  BrandingImageID                               no
+  BrandingName                                  no
+  ContentProtected                              no
+  ContentProtectedPercent                       no
+  DTVContent                                    no
+  Duration                                      no
+  EncodeTime                                    no
+  EndTime                                       no
+  ExpirationDate?                               no
+  ExpirationSpan?                               no
+  Genre                                         no
+  HDContent                                     no
+  HardPostPadding                               no
+  HardPrePadding                                no
+  InBandRatingAttributes                        no
+  InBandRatingLevel                             no
+  InBandRatingSystem                            no
+  KeepUntil                                     no
+  Language                                      no
+  MediaClassPrimaryID                           no
+  MediaClassSecondaryID                         no
+  MediaCredits                                  no
+  MediaIsDelay                                  no
+  MediaIsFinale                                 no
+  MediaIsLive                                   no
+  MediaIsMovie                                  no
+  MediaIsPremiere                               no
+  MediaIsRepeat                                 no
+  MediaIsSAP                                    no
+  MediaIsSport                                  no
+  MediaIsStereo                                 no
+  MediaIsSubtitled                              no
+  MediaIsTape                                   no
+  MediaNetworkAffiliation                       no
+  MediaOriginalBroadcastDateTime                no
+  MediaOriginalChannel                          no
+  MediaOriginalChannelSubNumber                 no
+  MediaOriginalRunTime                          no
+  MediaStationCallSign                          no
+  MediaStationName                              no
+  MediaThumbAspectRatioX                        no
+  MediaThumbAspectRatioY                        no
+  MediaThumbHeight                              no
+  MediaThumbRatingAttributes                    no
+  MediaThumbRatingLevel                         no
+  MediaThumbRatingSystem                        no
+  MediaThumbRet                                 no
+  MediaThumbStride                              no
+  MediaThumbTimeStamp?                          no
+  MediaThumbWidth                               no
+  OriginalReleaseTime                           no
+  OriginalSoftPostPadding                       no
+  OriginalSoftPrePadding                        no
+  ParentalRating                                no
+  ParentalRatingReason                          no
+  ProgramID                                     no
+  Provider                                      no
+  ProviderCopyright                             no
+  ProviderRating                                no
+  Quality                                       no
+  RequestID                                     no
+  ScheduleItemID                                no
+  SeriesUID                                     no
+  ServiceID                                     no
+  Subtitle                                      no
+  SubtitleDescription                           no
+  Title                                         no
+  VideoClosedCaptioning                         no
+  Watched                                       no
 
 =head2 DICOM Tags
